#include <iostream>

#include "MyAgat32Root.h"

#include "MyAnalyze.h"

//_________________________________________________________________________________
MyAgat32Root::MyAgat32Root()
{
	an = new MyAnalyze();
	run();
}

//_________________________________________________________________________________
MyAgat32Root::~MyAgat32Root()
{
	delete an;
}

//_________________________________________________________________________________
void MyAgat32Root::run()
{
	//--ask for a root File name--//
	setRootFileName();
	an->openRootFile(RootFileName);
	an->onStart();

	while(1)
	{
		//--update the root file--//
		if (an->analyze()==10000)
			break;
	}

	//--exit program--//
	delete this;
}

//_________________________________________________________________________________
void MyAgat32Root::setRootFileName()
{
	while(1)
	{
		std::cout<< "Please give me a proper .root Filename"<<std::endl;
		char tmp[128];
		std::cin >> tmp;
		RootFileName = tmp;
		//--when nothing is entered ask again--//
		if (RootFileName.IsNull())continue;
		//--if somethings entered check for .root ending --//
		//--if its there break here--//
		TString FileEnding = RootFileName(RootFileName.Index(".")+1,4);
		if (!FileEnding.CompareTo("root"))
			return;
	}
}






